###################################################
### chunk number 1: set_calculate_from_scratch
###################################################
#line 83 "d:/Rcompile/CRANpkg/local/2.12/hyperdirichlet/inst/doc/correspondence.Rnw"
calculate_from_scratch <- FALSE


###################################################
### chunk number 2: useayl
###################################################
#line 141 "d:/Rcompile/CRANpkg/local/2.12/hyperdirichlet/inst/doc/correspondence.Rnw"
require(aylmer)
require(hyperdirichlet)


###################################################
### chunk number 3: defa
###################################################
#line 147 "d:/Rcompile/CRANpkg/local/2.12/hyperdirichlet/inst/doc/correspondence.Rnw"
a <- matrix(c(26,1,2,5,18,9,4,4,NA),3,3,byrow=TRUE,dimnames=list("Reviewer 1"=c("yes","no", "missing"),"Reviewer 2"= c("yes", "no", "missing")))
aylmer_test_for_a <- aylmer.test(a,alternative=function(x){x[1,2]-x[2,1]})


###################################################
### chunk number 4: aylmertesta
###################################################
#line 167 "d:/Rcompile/CRANpkg/local/2.12/hyperdirichlet/inst/doc/correspondence.Rnw"
a
aylmer.test(a,alternative=function(x)x[1,2]-x[2,1])


###################################################
### chunk number 5: print.f1.aylmer.test
###################################################
#line 193 "d:/Rcompile/CRANpkg/local/2.12/hyperdirichlet/inst/doc/correspondence.Rnw"
f1 <- function(a)a[2,3]


###################################################
### chunk number 6: 
###################################################
#line 195 "d:/Rcompile/CRANpkg/local/2.12/hyperdirichlet/inst/doc/correspondence.Rnw"
aylmer.test(a,alternative=f1)


###################################################
### chunk number 7: calc.aaf1
###################################################
#line 199 "d:/Rcompile/CRANpkg/local/2.12/hyperdirichlet/inst/doc/correspondence.Rnw"
aaf1 <- aylmer.test(a,alternative=f1)


###################################################
### chunk number 8: defb
###################################################
#line 252 "d:/Rcompile/CRANpkg/local/2.12/hyperdirichlet/inst/doc/correspondence.Rnw"
b <- uniform(4)
b[ 2] <-  19
b[ 3] <-   6
b[ 4] <-   9
b[ 5] <-   2
b[ 6] <-   4
b[ 9] <-  27
b[11] <-   4
b[13] <-   2


###################################################
### chunk number 9: printb
###################################################
#line 264 "d:/Rcompile/CRANpkg/local/2.12/hyperdirichlet/inst/doc/correspondence.Rnw"
b


###################################################
### chunk number 10: generate_data
###################################################
#line 292 "d:/Rcompile/CRANpkg/local/2.12/hyperdirichlet/inst/doc/correspondence.Rnw"
if(calculate_from_scratch){
  number <- 10000
  set.seed(0)
  d <- rhyperdirichlet(n=number, b)
  sam <- apply(d,1,function(x){x[2]/(x[2]+x[3])})
  rb <-  rbeta(number,2,6)
} else {
  load("precalc.Rdata")
}


###################################################
### chunk number 11: sampat
###################################################
#line 305 "d:/Rcompile/CRANpkg/local/2.12/hyperdirichlet/inst/doc/correspondence.Rnw"
sampat <- apply(d,1,function(x){log(x[2]/x[3])})


###################################################
### chunk number 12: plotPriors
###################################################
#line 312 "d:/Rcompile/CRANpkg/local/2.12/hyperdirichlet/inst/doc/correspondence.Rnw"

layout(matrix(1:4,2,2,byrow=TRUE))
hist(sam,freq=FALSE,col='gray',main='(a)',xlab=expression(psi))
abline(v=0.5,lwd=3,col='gray')
jj <- seq(from=0 , to=0.8 , len=100)
points(jj ,dbeta(jj,2,6),type='l')

par(pty='s')
qqplot(d,rb,asp=1,xlim=c(0,1),ylim=c(0,1),main='(b)',xlab=expression(paste(psi,' (all data)')),ylab=expression(paste(psi,' (complete cases)')))
abline(0,1)


par(pty='m')

jj.s <- seq_along(sam)/length(sam)
jj.r <- seq_along(rb)/length(rb)
  plot(sort(sam), jj.s, xlim=c(0,0.8),type='l',lty=1,main='(c)',xlab=expression(psi) , ylab='quantile')
points(sort(rb ), jj.r, type='l',lty=2)
legend('bottomright' , legend=c("c/cases", "all data"),lty=1:2)
segments(x0=0.5,y0=0.4,x1=0.5,y1=1, lwd=3,col='gray')

qqnorm(sampat,main='(d)',xlab='normal quantile' , ylab=expression(paste(phi, ' (empirical quantile)')))
abline(-1.819,var(sampat))


###################################################
### chunk number 13: mlb
###################################################
#line 360 "d:/Rcompile/CRANpkg/local/2.12/hyperdirichlet/inst/doc/correspondence.Rnw"
mlb <- maximum_likelihood(b)


###################################################
### chunk number 14: printmlb
###################################################
#line 371 "d:/Rcompile/CRANpkg/local/2.12/hyperdirichlet/inst/doc/correspondence.Rnw"
mlb


###################################################
### chunk number 15: mlbf3
###################################################
#line 389 "d:/Rcompile/CRANpkg/local/2.12/hyperdirichlet/inst/doc/correspondence.Rnw"
f3 <- function(x){x[2]<x[3]}
mlb.f3 <- maximum_likelihood(b,disallowed=f3)


###################################################
### chunk number 16: printmlb.f3
###################################################
#line 401 "d:/Rcompile/CRANpkg/local/2.12/hyperdirichlet/inst/doc/correspondence.Rnw"
mlb.f3


